OCAML-MD5SUMS(1)

NAME
ocaml-md5sum - Use and maintain ocaml md5sums registry files

SYNOPSIS
ocaml-md5sum (compute|dep) [option ...] file ...

ocaml-md5sum update [option ...]

compute dump the content of the the md5sums files to output. dep compute dependencies of the package, using md5sums files that can be found.

OPTIONS

--package pkg
    Set package name for development dependency.

--runtime pkg
    Set package name for runtime dependency.

--version ver
    Set package version for dependencies.

--dump-info fn
    Dump ocamlobjinfo to file.

--load-info fn
    Restore ocamlobjinfo from file.

-v  Increase verbosity.

--my-version
    Print ocaml-md5sum version and exit.

--nodefined unit
    Avoid export of OCaml unit into md5sums file.

--dump-provides fn
    Write provides for the package into given file.

--md5sums-dir dir
    Add directory to the list of directory looked for md5sums files.

--checksum str
    Checksum to use.

-help
    Print a brief help message and exits.

-man
    Prints the manual page and exits.